function load3Seconds() {
    const parent = document.getElementById("loadingContainer");
    const element = document.createElement("div");
    element.id = "isLoading";
    element.classList.add("is-loading");
    parent.appendChild(element);
    setTimeout(() => document.getElementById("isLoading").classList.remove("is-loading"), 3000);
}
function showPassword() {
    const x = document.getElementsByClassName('password-input');
    for (let i = 0; i < x.length; i++) {
        if (x[i].type === "password") {
            x[i].type = "text";
        } else {
            x[i].type = "password";
        }
    }
}

function createLucideIcons() {
    const icons = {
        AlertTriangle: lucide.AlertTriangle,
        Users: lucide.Users,
        UserCog2: lucide.UserCog2,
        EthernetPort: lucide.EthernetPort,
        Lock: lucide.Lock,
        Globe: lucide.Globe,
        Database: lucide.Database,
        LogOut: lucide.LogOut,
        Award: lucide.Award,
        MonitorCheck: lucide.MonitorCheck,
        ArrowLeft: lucide.ArrowLeft
    };
    lucide.createIcons({icons});
}
